import { FilterEntry, JsonValidationSet, ObjectEntry, SchemaDefinition, TagEntry, ThemeDocset, Translations } from '@shopify/theme-check-common';
import { Logger } from './utils';
export declare class ThemeLiquidDocsManager implements ThemeDocset, JsonValidationSet {
    private log;
    constructor(log?: Logger);
    filters: () => Promise<FilterEntry[]>;
    objects: () => Promise<ObjectEntry[]>;
    tags: () => Promise<TagEntry[]>;
    systemTranslations: () => Promise<Translations>;
    schemas: (arg: "theme" | "app") => Promise<SchemaDefinition[]>;
    /**
     * The setup method checks that the latest revision matches the one from
     * Shopify/theme-liquid-docs. If there's a diff in revision, it means
     * that the documentations that you have locally are out of date.
     *
     * The setup method then downloads the other files.
     */
    setup: () => Promise<void>;
    private latestRevision;
    private loadResource;
    private load;
    private loadSchema;
    private loaders;
    private schemaLoaders;
}
